OpenShot Audio Library | OpenShotAudio: juce::ApplicationProperties Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ApplicationProperties Class Reference

`#include <juce_ApplicationProperties.h>`

## Public Member Functions
| ApplicationProperties ()
| ~ApplicationProperties ()
void | setStorageParameters (const PropertiesFile::Options &options)
const PropertiesFile::Options & | getStorageParameters () const noexcept
PropertiesFile * | getUserSettings ()
PropertiesFile * | getCommonSettings (bool returnUserPropsIfReadOnly)
bool | saveIfNeeded ()
void | closeFiles ()

## Detailed Description

Manages a collection of properties.

This is a slightly higher-level wrapper for managing PropertiesFile objects.

It holds two different PropertiesFile objects internally, one for user-specific settings (stored in your user directory), and one for settings that are common to all users (stored in a folder accessible to all users).

The class manages the creation of these files on-demand, allowing access via the getUserSettings() and getCommonSettings() methods.

After creating an instance of an ApplicationProperties object, you should first of all call setStorageParameters() to tell it the parameters to use to create its files.

See also
  PropertiesFile

Definition at line 51 of file juce_ApplicationProperties.h.

## Constructor & Destructor Documentation

## ◆ ApplicationProperties()

juce::ApplicationProperties::ApplicationProperties | ( |  | ) |

Creates an ApplicationProperties object.

Before using it, you must call setStorageParameters() to give it the info it needs to create the property files.

Definition at line 30 of file juce_ApplicationProperties.cpp.

## ◆ ~ApplicationProperties()

juce::ApplicationProperties::~ApplicationProperties | ( |  | ) |

Destructor.

Definition at line 34 of file juce_ApplicationProperties.cpp.

## Member Function Documentation

## ◆ closeFiles()

void juce::ApplicationProperties::closeFiles | ( |  | ) |

Flushes and closes both files if they are open.

This flushes any pending changes to disk with PropertiesFile::saveIfNeeded() and closes both files. They will then be re-opened the next time getUserSettings() or getCommonSettings() is called.

Definition at line 102 of file juce_ApplicationProperties.cpp.

Referenced by ~ApplicationProperties().

## ◆ getCommonSettings()

PropertiesFile * juce::ApplicationProperties::getCommonSettings | ( | bool | returnUserPropsIfReadOnly | ) |

Returns the common settings file.

The first time this is called, it will create and load the properties file.

Parameters

  returnUserPropsIfReadOnly | if this is true, and the common properties file is read-only (e.g. because the user doesn't have permission to write to shared files), then this will return the user settings instead, (like getUserSettings() would do). This is handy if you'd like to write a value to the common settings, but if that's no possible, then you'd rather write to the user settings than none at all. If returnUserPropsIfReadOnly is false, this method will always return the common settings, even if any changes to them can't be saved.

See also
  getUserSettings

Definition at line 79 of file juce_ApplicationProperties.cpp.

## ◆ getStorageParameters()

const PropertiesFile::Options & juce::ApplicationProperties::getStorageParameters | ( |  | ) | const
| inlinenoexcept

Returns the current storage parameters.

See also
  setStorageParameters

Definition at line 75 of file juce_ApplicationProperties.h.

## ◆ getUserSettings()

PropertiesFile * juce::ApplicationProperties::getUserSettings | ( |  | ) |

Returns the user settings file.

The first time this is called, it will create and load the properties file.

Note that when you search the user PropertiesFile for a value that it doesn't contain, the common settings are used as a second-chance place to look. This is done via the PropertySet::setFallbackPropertySet() method - by default the common settings are set to the fallback for the user settings.

See also
  getCommonSettings

Definition at line 71 of file juce_ApplicationProperties.cpp.

## ◆ saveIfNeeded()

bool juce::ApplicationProperties::saveIfNeeded | ( |  | ) |

Saves both files if they need to be saved.

See also
  PropertiesFile::saveIfNeeded

Definition at line 96 of file juce_ApplicationProperties.cpp.

## ◆ setStorageParameters()

void juce::ApplicationProperties::setStorageParameters | ( | const PropertiesFile::Options & | options | ) |

Gives the object the information it needs to create the appropriate properties files. See the PropertiesFile::Options class for details about what options you need to set.

Definition at line 40 of file juce_ApplicationProperties.cpp.

The documentation for this class was generated from the following files:

- juce_ApplicationProperties.h
- juce_ApplicationProperties.cpp